Package io.flutter.embedding.engine.systemchannels

# Class PlatformViewsChannel.PlatformViewTouch

java.lang.Object
io.flutter.embedding.engine.systemchannels.PlatformViewsChannel.PlatformViewTouch

Enclosing class:
  PlatformViewsChannel

public static class PlatformViewsChannel.PlatformViewTouch extends Object
The state of a touch event in Flutter within a platform view.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `action`
  `final int`
  `buttonState`
  TODO(mattcarroll): javadoc
  `final int`
  `deviceId`
  TODO(mattcarroll): javadoc
  `final Number`
  `downTime`
  The amount of time that the touch has been pressed.
  `final int`
  `edgeFlags`
  TODO(mattcarroll): javadoc
  `final Number`
  `eventTime`
  TODO(mattcarroll): javadoc
  `final int`
  `flags`
  TODO(mattcarroll): javadoc
  `final int`
  `metaState`
  TODO(mattcarroll): javadoc
  `final long`
  `motionEventId`
  TODO(iskakaushik): javadoc
  `final int`
  `pointerCount`
  The number of pointers (e.g, fingers) involved in the touch event.
  `final Object`
  `rawPointerCoords`
  Coordinates for each pointer, encoded in a raw format.
  `final Object`
  `rawPointerPropertiesList`
  Properties for each pointer, encoded in a raw format.
  `final int`
  `source`
  TODO(mattcarroll): javadoc
  `final int`
  `viewId`
  The ID of the platform view as seen by the Flutter side.
  `final float`
  `xPrecision`
  Coordinate precision along the x-axis.
  `final float`
  `yPrecision`
  Coordinate precision along the y-axis.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlatformViewTouch(int viewId, Number downTime, Number eventTime, int action, int pointerCount, Object rawPointerPropertiesList, Object rawPointerCoords, int metaState, int buttonState, float xPrecision, float yPrecision, int deviceId, int edgeFlags, int source, int flags, long motionEventId)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### viewId

    public final int viewId
    The ID of the platform view as seen by the Flutter side.

  - ### downTime

    @NonNull public final Number downTime
    The amount of time that the touch has been pressed.

  - ### eventTime

    @NonNull public final Number eventTime
    TODO(mattcarroll): javadoc

  - ### action

    public final int action

  - ### pointerCount

    public final int pointerCount
    The number of pointers (e.g, fingers) involved in the touch event.

  - ### rawPointerPropertiesList

    @NonNull public final Object rawPointerPropertiesList
    Properties for each pointer, encoded in a raw format. Expected to be formatted as a List[List[Integer]], where each inner list has two items: - An id, at index 0, corresponding to `MotionEvent.PointerProperties.id` - A tool type, at index 1, corresponding to `MotionEvent.PointerProperties.toolType`.

  - ### rawPointerCoords

    @NonNull public final Object rawPointerCoords
    Coordinates for each pointer, encoded in a raw format.

  - ### metaState

    public final int metaState
    TODO(mattcarroll): javadoc

  - ### buttonState

    public final int buttonState
    TODO(mattcarroll): javadoc

  - ### xPrecision

    public final float xPrecision
    Coordinate precision along the x-axis.

  - ### yPrecision

    public final float yPrecision
    Coordinate precision along the y-axis.

  - ### deviceId

    public final int deviceId
    TODO(mattcarroll): javadoc

  - ### edgeFlags

    public final int edgeFlags
    TODO(mattcarroll): javadoc

  - ### source

    public final int source
    TODO(mattcarroll): javadoc

  - ### flags

    public final int flags
    TODO(mattcarroll): javadoc

  - ### motionEventId

    public final long motionEventId
    TODO(iskakaushik): javadoc

- ## Constructor Details

  - ### PlatformViewTouch

    public PlatformViewTouch(int viewId, @NonNull Number downTime, @NonNull Number eventTime, int action, int pointerCount, @NonNull Object rawPointerPropertiesList, @NonNull Object rawPointerCoords, int metaState, int buttonState, float xPrecision, float yPrecision, int deviceId, int edgeFlags, int source, int flags, long motionEventId)